Bug 591465 - epiphany-extensions installed in the wrong directory
epiphany-extensions installed in the wrong directory
Status: CLOSED DUPLICATE of bug 585048
Product: Fedora
Classification: Fedora
Component: epiphany-extensions (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 06:24 EDT by Filippo Argiolas
Modified: 2010-05-14 05:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-14 05:59:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filippo Argiolas 2010-05-12 06:24:03 EDT
Hi, I just installed epiphany-extensions 2.30.0 but I wasn't able to see any change in epiphany ui.
I asked for help in #epiphany and Xan Lopez told me that epiphany expects them to be installed in $PREFIX/lib/epiphany/2.29/extensions, while, apparently, Fedora package installs them in $PREFIX/lib/epiphany/2.30/extensions.

Adding a symlink "2.29" pointing to the 2.30 dir indeed made the Tools->Extensions menu appear in epiphany UI.
Comment 1 Filippo Argiolas 2010-05-12 06:44:48 EDT
Xan pointed me that this issue could be caused by building epiphany-extensions 2.30 against epiphany 2.30.0, while building it against 2.30.2 will put everything in the right place. He also mentioned he was going to release 2.30.1 to force people updating it and prevent further issues.

CC-ing Matthias as he seems to be the current packager for epiphany-extensions.
Comment 2 Xan López 2010-05-12 06:58:12 EDT
(In reply to comment #1)
> Xan pointed me that this issue could be caused by building epiphany-extensions
> 2.30 against epiphany 2.30.0, while building it against 2.30.2 will put
> everything in the right place. He also mentioned he was going to release 2.30.1
> to force people updating it and prevent further issues.
> 
> CC-ing Matthias as he seems to be the current packager for epiphany-extensions.    

I have released 2.30.1 now, updating to that should hopefully fix things.
Comment 3 Bastien Nocera 2010-05-14 05:59:22 EDT
Already fixed in 2.30.1

*** This bug has been marked as a duplicate of bug 585048 ***

Note You need to log in before you can comment on or make changes to this bug.